package com.tmerclub.cloud.common.product.vo.search;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * es更新商品库存
 *
 * @author TRACK
 */
public class SpuSearchUpdateVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "产品ID")
    private Long spuId;

    @Schema(description = "商品数量")
    private Integer count;

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    @Override
    public String toString() {
        return "SpuSearchUpdateVO{" +
                "spuId=" + spuId +
                ", count=" + count +
                '}';
    }

    public SpuSearchUpdateVO() {
    }

    public SpuSearchUpdateVO(Long spuId, Integer count) {
        this.spuId = spuId;
        this.count = count;
    }
}
